# fx-private.h File Reference

Go to the source code of this file.

## Typedefs

typedef struct _FxInfo | FxInfo

## Functions

MagickExport FxInfo * | AcquireFxInfo (const Image *, const char *)
MagickExport FxInfo ** | DestroyFxInfo (FxInfo *)
MagickExport MagickBooleanType | FxEvaluateExpression (FxInfo *, MagickRealType *, ExceptionInfo *)
MagickExport MagickBooleanType | FxEvaluateChannelExpression (FxInfo *, const ChannelType, const long, const long, MagickRealType *, ExceptionInfo *)

## Typedef Documentation

typedef struct _FxInfo FxInfo

## Function Documentation

MagickExport FxInfo* AcquireFxInfo | ( | const Image * | ,
|  | const char * |  |
| ) |  |  |

MagickExport FxInfo* * DestroyFxInfo | ( | FxInfo * |  | ) |

MagickExport MagickBooleanType FxEvaluateChannelExpression | ( | FxInfo * | ,
|  | const | ChannelType,
|  | const | long,
|  | const | long,
|  | MagickRealType * | ,
|  | ExceptionInfo * |  |
| ) |  |  |

MagickExport MagickBooleanType FxEvaluateExpression | ( | FxInfo * | ,
|  | MagickRealType * | ,
|  | ExceptionInfo * |  |
| ) |  |  |